package com.zayhu;

import android.os.Bundle;

/**
 * ZayhuService --> ZayhuClient Notification
 *
 * Please note that those are low priority tasks that can be safely discarded.
 *
 * High priority task such as contact calling should be sent as Intent to ensure client app is always loaded.
 */
interface IZayhuNotify {
    // Track server state: if push channel server connected / disconnected
    void pushChannelChange(String server, int satus);

    // Track contacts state: if a known contact state changes
    void contactsStatusChange(String account, int newState, int oldState);

    // Track privacy rejection events
    boolean privacyRejectEvents(String accout, int action, int reason);
}