precision mediump float;
varying vec2 v_texcoord;
uniform sampler2D s_texture_y;
uniform sampler2D s_texture_u;
uniform sampler2D s_texture_v;

void main() {
    vec2  center = vec2(0.5, 0.5);
    highp vec2 normCoord = 2.0 * v_texcoord - 1.0;
    highp vec2 normCenter = 2.0 * center - 1.0;
    normCoord -= normCenter;
    mediump vec2 s = sign(normCoord);
    normCoord = abs(normCoord);
    normCoord = 0.5 * normCoord + 0.5 * smoothstep(0.25, 0.5, normCoord) * normCoord;
    normCoord = s * normCoord;
    normCoord += normCenter;
    mediump vec2 textureCoordinateToUse = normCoord / 2.0 + 0.5;
    float y = texture2D(s_texture_y, textureCoordinateToUse).r;
    float u = texture2D(s_texture_u, textureCoordinateToUse).r - 0.5;
    float v = texture2D(s_texture_v, textureCoordinateToUse).r - 0.5;
    float r = y + 1.402 * v;
    float g = y - 0.344 * u - 0.714 * v;
    float b = y + 1.772 * u; gl_FragColor = vec4(r,g,b,1.0);
}
